Bug 138138 - Addition of NFS checkbox to "trusted services"
Summary: Addition of NFS checkbox to "trusted services"
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-securitylevel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Steve Dickson
QA Contact: dff
URL:
Whiteboard: system-config-securitylevel
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-04 21:51 UTC by Andrius Benokraitis
Modified: 2015-07-14 04:25 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 13:30:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Andrius Benokraitis 2004-11-04 21:51:12 UTC
With the release of NFSv4, would it make sense to add NFS as a checkbox option
for system-config-securitylevel, now that NFS is TCP enabled and has a
well-known TCP port (2049)? Although one can add it under "Other ports", I'm not
sure how "common" it is compared to the others in the list (WWW, FTP, SSH,
telnet, Mail).

NFS is a very popular protocol, but I don't know the significance of this issue
personally. I'm CC'ing steved (NFS developer) and pnasrat
(system-config-securitylevel developer) for their input as well...

Thanks! :-)

Comment 2 Andrius Benokraitis 2004-11-05 16:38:48 UTC
Looking at system-config-securitylevel again, would one want to have NFS as a
"trusted service"? I would think so, since NFSv4 now is routable, as well work
through firewalls.

I was getting confused because the listing of services is subtractive (DENY ALL,
ALLOW WWW, FTP, ...) to creating the firewall, as opposed to additive.

Would NFS be a relevant trusted service to allow firewalls to pass through?

Comment 3 G.Wolfe Woodbury 2006-04-02 06:00:23 UTC
I'd also like to see this, and in Fedora Core 5 or 6 as well

Comment 9 Chris Lumens 2006-07-20 19:16:58 UTC
This will be in 1.6.23 in tomorrow's Rawhide tree.

Comment 10 Chris Lumens 2006-08-24 19:50:54 UTC
Still some work to do.  See bug 203706.

Comment 13 Jiri Pallich 2012-06-20 13:30:42 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.